Bug 169266 - [PATCH] science/py-mdp: update to 3.2 + lots more
Summary: [PATCH] science/py-mdp: update to 3.2 + lots more
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Kozlov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-20 14:00 UTC by koobs
Modified: 2012-08-08 23:25 UTC (History)
1 user (show)

See Also:


Attachments
py27-mdp-3.2.patch (26.97 KB, patch)
2012-06-20 14:00 UTC, koobs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description koobs 2012-06-20 14:00:23 UTC
- Update to 3.2
- OPTIONSNG'ify
- py-scipy is an OPTION'al dependency, make it so
- Remove py-symeig, symeig routines come with mdp
- Scipy symeig routes are used if MSCIPY is defined anyway
- Add py-pp and libsvm-python OPTIONS
- Make TESTS OPTION'al (tests run fine without it anyway)
- Add OPTIONSFILE for sane make config across python versions
- Patch config.py to handle OSError as exception when it cant find libsvm.so
- Update and sort pkg-plist
- Add LICENSE

One test fails due to underlying numpy regression

======================================================
          python: 2.7.3.final.0
             mdp: 3.2,
 parallel python: 1.6.1
          shogun: NOT AVAILABLE: No module named shogun
          libsvm: libsvm.so.2
          joblib: NOT AVAILABLE: No module named joblib
         sklearn: NOT AVAILABLE: No module named scikits.learn
            numx: numpy 1.6.2
          symeig: symeig_fake
Random Seed: 1124900240

IMPORTANT: some tests use random numbers. This could
occasionally lead to failures due to numerical degeneracies.
To rule this out, please run the tests more than once.
If you get reproducible failures please report a bug!

1 failed, 597 passed, 20 skipped in 88.28 seconds
===================================================
Added file(s):
- files/patch-mdp__configuration.py

Port maintainer (llwang@infor.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2012-06-20 14:00:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-06-20 14:00:41 UTC
Maintainer of science/py-mdp,

Please note that PR ports/169266 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/169266

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-06-20 14:00:44 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Li-Lun Wang 2012-07-28 00:18:49 UTC
Thanks for the patch and sorry for the late response.
Please note that there seems to be a missing newline at the end of
pkg-plist in the patch.
Otherwise I approve this patch.

-- llwang
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2012-07-28 01:04:53 UTC
State Changed
From-To: feedback->open

Maintainer approved (with one cosmetic change).
Comment 6 Alex Kozlov freebsd_committer 2012-08-07 12:02:11 UTC
Responsible Changed
From-To: freebsd-python->ak

I'll take it.
Comment 7 dfilter service freebsd_committer 2012-08-08 22:27:30 UTC
Author: ak
Date: Wed Aug  8 21:27:15 2012
New Revision: 302307
URL: http://svn.freebsd.org/changeset/ports/302307

Log:
  - Update to 3.2
  - Convert to new options framework
  - make py-scipy optional dependency
  - Remove py-symeig, symeig routines come with mdp
  - Add py-pp and libsvm-python OPTIONS
  - Add OPTIONSFILE for sane make config across python versions
  - Patch config.py to handle OSError as exception when it cant find libsvm.so
  - Update and sort pkg-plist
  - Add LICENSE
  
  PR:	ports/169266
  Submitted by:	koobs <koobs.freebsd@gmail.com>
  Approved by:	Li-Lun "Leland" Wang <llwang@infor.org> (maintainer)

Added:
  head/science/py-mdp/files/
  head/science/py-mdp/files/patch-mdp__configuration.py   (contents, props changed)
Modified:
  head/science/py-mdp/Makefile   (contents, props changed)
  head/science/py-mdp/distinfo   (contents, props changed)
  head/science/py-mdp/pkg-plist   (contents, props changed)

Modified: head/science/py-mdp/Makefile
==============================================================================
--- head/science/py-mdp/Makefile	Wed Aug  8 20:09:40 2012	(r302306)
+++ head/science/py-mdp/Makefile	Wed Aug  8 21:27:15 2012	(r302307)
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	mdp
-PORTVERSION=	2.4
-PORTREVISION=	1
+PORTVERSION=	3.2
 CATEGORIES=	science python
 MASTER_SITES=	SF/${PORTNAME}-toolkit/${PORTNAME}-toolkit/${PORTVERSION}
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -16,10 +15,34 @@ DISTNAME=	${PORTNAME:U}-${PORTVERSION}
 MAINTAINER=	llwang@infor.org
 COMMENT=	Modular toolkit for Data Processing
 
-RUN_DEPENDS=	${PYNUMPY} \
-		${PYTHON_SITELIBDIR}/scipy/__init__.py:${PORTSDIR}/science/py-scipy \
-		${PYTHON_SITELIBDIR}/symeig/__init__.py:${PORTSDIR}/math/py-symeig
+LICENSE=	BSD
 
+RUN_DEPENDS=	${PYNUMPY}
+
+OPTIONSFILE?=	${PORT_DBDIR}/py-${PORTNAME}/options
+
+OPTIONS_DEFINE=	LIBSVM PP SCIPY
+
+LIBSVM_DESC=	Provide the LibSVMClassifier node
+PP_DESC=	Provide the Parallel Python PPScheduler
+SCIPY_DESC=	Instal SciPy versions of eigensolver, FFT and convolution
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MLIBSVM}
+RUN_DEPENDS+=	libsvm>2.91:${PORTSDIR}/science/libsvm \
+		libsvm-python>2.91:${PORTSDIR}/science/libsvm-python
+.endif
+
+.if ${PORT_OPTIONS:MPP}
+RUN_DEPENDS+=	${PYTHON_PKGNAMEPREFIX}pp>0:${PORTSDIR}/devel/py-pp
+.endif
+
+.if ${PORT_OPTIONS:MSCIPY}
+RUN_DEPENDS+=	${PYTHON_PKGNAMEPREFIX}scipy>=0.5.2:${PORTSDIR}/science/py-scipy
+.endif
+
+#Python3 ready
 USE_PYTHON=	2.5+
 USE_PYDISTUTILS=	yes
 PYDISTUTILS_EGGINFO=	${PYDISTUTILS_PKGNAME:C/[^A-Za-z0-9.]+/_/g:U}-${PYDISTUTILS_PKGVERSION:C/[^A-Za-z0-9.]+/_/g}-${PYTHON_VERSION:S/thon//}.egg-info

Modified: head/science/py-mdp/distinfo
==============================================================================
--- head/science/py-mdp/distinfo	Wed Aug  8 20:09:40 2012	(r302306)
+++ head/science/py-mdp/distinfo	Wed Aug  8 21:27:15 2012	(r302307)
@@ -1,2 +1,2 @@
-SHA256 (MDP-2.4.tar.gz) = 85d1a51ee56f4ed5021d56616646dd393c41a32a7390b49a7f19f9f02961ddff
-SIZE (MDP-2.4.tar.gz) = 162171
+SHA256 (MDP-3.2.tar.gz) = 5310d54766cb91a02988f42bea4b493197155ac1960fbfa41a8c9661b08c1665
+SIZE (MDP-3.2.tar.gz) = 469010

Added: head/science/py-mdp/files/patch-mdp__configuration.py
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/science/py-mdp/files/patch-mdp__configuration.py	Wed Aug  8 21:27:15 2012	(r302307)
@@ -0,0 +1,11 @@
+--- ./mdp/configuration.py.orig	2012-06-20 21:46:00.000000000 +1000
++++ ./mdp/configuration.py	2012-06-20 21:52:56.000000000 +1000
+@@ -360,7 +360,7 @@
+     try:
+         import svm as libsvm
+         libsvm.libsvm
+-    except ImportError, exc:
++    except (ImportError, OSError) as exc:
+         config.ExternalDepFailed('libsvm', exc)
+     except AttributeError, exc:
+         config.ExternalDepFailed('libsvm', 'libsvm version >= 2.91 required')

Modified: head/science/py-mdp/pkg-plist
==============================================================================
--- head/science/py-mdp/pkg-plist	Wed Aug  8 20:09:40 2012	(r302306)
+++ head/science/py-mdp/pkg-plist	Wed Aug  8 21:27:15 2012	(r302307)
@@ -1,24 +1,117 @@
+%%PYTHON_SITELIBDIR%%/bimdp/__init__.py
+%%PYTHON_SITELIBDIR%%/bimdp/__init__.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/__init__.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/biclassifier.py
+%%PYTHON_SITELIBDIR%%/bimdp/biclassifier.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/biclassifier.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/biflow.py
+%%PYTHON_SITELIBDIR%%/bimdp/biflow.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/biflow.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/binode.py
+%%PYTHON_SITELIBDIR%%/bimdp/binode.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/binode.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/hinet/__init__.py
+%%PYTHON_SITELIBDIR%%/bimdp/hinet/__init__.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/hinet/__init__.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/hinet/biflownode.py
+%%PYTHON_SITELIBDIR%%/bimdp/hinet/biflownode.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/hinet/biflownode.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/hinet/bihtmlvisitor.py
+%%PYTHON_SITELIBDIR%%/bimdp/hinet/bihtmlvisitor.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/hinet/bihtmlvisitor.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/hinet/bilayer.py
+%%PYTHON_SITELIBDIR%%/bimdp/hinet/bilayer.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/hinet/bilayer.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/hinet/biswitchboard.py
+%%PYTHON_SITELIBDIR%%/bimdp/hinet/biswitchboard.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/hinet/biswitchboard.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/inspection/__init__.py
+%%PYTHON_SITELIBDIR%%/bimdp/inspection/__init__.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/inspection/__init__.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/inspection/facade.py
+%%PYTHON_SITELIBDIR%%/bimdp/inspection/facade.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/inspection/facade.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/inspection/slideshow.py
+%%PYTHON_SITELIBDIR%%/bimdp/inspection/slideshow.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/inspection/slideshow.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/inspection/tracer.py
+%%PYTHON_SITELIBDIR%%/bimdp/inspection/tracer.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/inspection/tracer.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/inspection/utils.py
+%%PYTHON_SITELIBDIR%%/bimdp/inspection/utils.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/inspection/utils.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/nodes/__init__.py
+%%PYTHON_SITELIBDIR%%/bimdp/nodes/__init__.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/nodes/__init__.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/nodes/autogen.py
+%%PYTHON_SITELIBDIR%%/bimdp/nodes/autogen.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/nodes/autogen.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/nodes/gradient.py
+%%PYTHON_SITELIBDIR%%/bimdp/nodes/gradient.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/nodes/gradient.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/nodes/miscnodes.py
+%%PYTHON_SITELIBDIR%%/bimdp/nodes/miscnodes.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/nodes/miscnodes.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/parallel/__init__.py
+%%PYTHON_SITELIBDIR%%/bimdp/parallel/__init__.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/parallel/__init__.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/parallel/parallelbiflow.py
+%%PYTHON_SITELIBDIR%%/bimdp/parallel/parallelbiflow.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/parallel/parallelbiflow.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/parallel/parallelbihinet.py
+%%PYTHON_SITELIBDIR%%/bimdp/parallel/parallelbihinet.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/parallel/parallelbihinet.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/test/__init__.py
+%%PYTHON_SITELIBDIR%%/bimdp/test/__init__.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/test/__init__.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/test/_tools.py
+%%PYTHON_SITELIBDIR%%/bimdp/test/_tools.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/test/_tools.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/test/conftest.py
+%%PYTHON_SITELIBDIR%%/bimdp/test/conftest.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/test/conftest.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/test/ide_run.py
+%%PYTHON_SITELIBDIR%%/bimdp/test/ide_run.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/test/ide_run.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/test/test_biflow.py
+%%PYTHON_SITELIBDIR%%/bimdp/test/test_biflow.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/test/test_biflow.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/test/test_bihinet.py
+%%PYTHON_SITELIBDIR%%/bimdp/test/test_bihinet.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/test/test_bihinet.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/test/test_binode.py
+%%PYTHON_SITELIBDIR%%/bimdp/test/test_binode.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/test/test_binode.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/test/test_gradient.py
+%%PYTHON_SITELIBDIR%%/bimdp/test/test_gradient.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/test/test_gradient.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/test/test_namespace_fixups.py
+%%PYTHON_SITELIBDIR%%/bimdp/test/test_namespace_fixups.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/test/test_namespace_fixups.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/test/test_parallelbiflow.py
+%%PYTHON_SITELIBDIR%%/bimdp/test/test_parallelbiflow.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/test/test_parallelbiflow.pyo
+%%PYTHON_SITELIBDIR%%/bimdp/test/test_parallelbihinet.py
+%%PYTHON_SITELIBDIR%%/bimdp/test/test_parallelbihinet.pyc
+%%PYTHON_SITELIBDIR%%/bimdp/test/test_parallelbihinet.pyo
 %%PYTHON_SITELIBDIR%%/mdp/__init__.py
 %%PYTHON_SITELIBDIR%%/mdp/__init__.pyc
 %%PYTHON_SITELIBDIR%%/mdp/__init__.pyo
-%%PYTHON_SITELIBDIR%%/mdp/contrib/__init__.py
-%%PYTHON_SITELIBDIR%%/mdp/contrib/__init__.pyc
-%%PYTHON_SITELIBDIR%%/mdp/contrib/__init__.pyo
-%%PYTHON_SITELIBDIR%%/mdp/contrib/jade.py
-%%PYTHON_SITELIBDIR%%/mdp/contrib/jade.pyc
-%%PYTHON_SITELIBDIR%%/mdp/contrib/jade.pyo
-%%PYTHON_SITELIBDIR%%/mdp/contrib/lle_nodes.py
-%%PYTHON_SITELIBDIR%%/mdp/contrib/lle_nodes.pyc
-%%PYTHON_SITELIBDIR%%/mdp/contrib/lle_nodes.pyo
-%%PYTHON_SITELIBDIR%%/mdp/contrib/nipals.py
-%%PYTHON_SITELIBDIR%%/mdp/contrib/nipals.pyc
-%%PYTHON_SITELIBDIR%%/mdp/contrib/nipals.pyo
-%%PYTHON_SITELIBDIR%%/mdp/demo/__init__.py
-%%PYTHON_SITELIBDIR%%/mdp/demo/__init__.pyc
-%%PYTHON_SITELIBDIR%%/mdp/demo/__init__.pyo
-%%PYTHON_SITELIBDIR%%/mdp/demo/demo.py
-%%PYTHON_SITELIBDIR%%/mdp/demo/demo.pyc
-%%PYTHON_SITELIBDIR%%/mdp/demo/demo.pyo
+%%PYTHON_SITELIBDIR%%/mdp/caching/__init__.py
+%%PYTHON_SITELIBDIR%%/mdp/caching/__init__.pyc
+%%PYTHON_SITELIBDIR%%/mdp/caching/__init__.pyo
+%%PYTHON_SITELIBDIR%%/mdp/caching/caching_extension.py
+%%PYTHON_SITELIBDIR%%/mdp/caching/caching_extension.pyc
+%%PYTHON_SITELIBDIR%%/mdp/caching/caching_extension.pyo
+%%PYTHON_SITELIBDIR%%/mdp/classifier_node.py
+%%PYTHON_SITELIBDIR%%/mdp/classifier_node.pyc
+%%PYTHON_SITELIBDIR%%/mdp/classifier_node.pyo
+%%PYTHON_SITELIBDIR%%/mdp/configuration.py
+%%PYTHON_SITELIBDIR%%/mdp/configuration.pyc
+%%PYTHON_SITELIBDIR%%/mdp/configuration.pyo
+%%PYTHON_SITELIBDIR%%/mdp/extension.py
+%%PYTHON_SITELIBDIR%%/mdp/extension.pyc
+%%PYTHON_SITELIBDIR%%/mdp/extension.pyo
 %%PYTHON_SITELIBDIR%%/mdp/graph/__init__.py
 %%PYTHON_SITELIBDIR%%/mdp/graph/__init__.pyc
 %%PYTHON_SITELIBDIR%%/mdp/graph/__init__.pyo
@@ -34,21 +127,31 @@
 %%PYTHON_SITELIBDIR%%/mdp/hinet/flownode.py
 %%PYTHON_SITELIBDIR%%/mdp/hinet/flownode.pyc
 %%PYTHON_SITELIBDIR%%/mdp/hinet/flownode.pyo
-%%PYTHON_SITELIBDIR%%/mdp/hinet/hinet_html.py
-%%PYTHON_SITELIBDIR%%/mdp/hinet/hinet_html.pyc
-%%PYTHON_SITELIBDIR%%/mdp/hinet/hinet_html.pyo
+%%PYTHON_SITELIBDIR%%/mdp/hinet/hinet.css
+%%PYTHON_SITELIBDIR%%/mdp/hinet/htmlvisitor.py
+%%PYTHON_SITELIBDIR%%/mdp/hinet/htmlvisitor.pyc
+%%PYTHON_SITELIBDIR%%/mdp/hinet/htmlvisitor.pyo
 %%PYTHON_SITELIBDIR%%/mdp/hinet/layer.py
 %%PYTHON_SITELIBDIR%%/mdp/hinet/layer.pyc
 %%PYTHON_SITELIBDIR%%/mdp/hinet/layer.pyo
 %%PYTHON_SITELIBDIR%%/mdp/hinet/switchboard.py
 %%PYTHON_SITELIBDIR%%/mdp/hinet/switchboard.pyc
 %%PYTHON_SITELIBDIR%%/mdp/hinet/switchboard.pyo
+%%PYTHON_SITELIBDIR%%/mdp/hinet/switchboard_factory.py
+%%PYTHON_SITELIBDIR%%/mdp/hinet/switchboard_factory.pyc
+%%PYTHON_SITELIBDIR%%/mdp/hinet/switchboard_factory.pyo
 %%PYTHON_SITELIBDIR%%/mdp/linear_flows.py
 %%PYTHON_SITELIBDIR%%/mdp/linear_flows.pyc
 %%PYTHON_SITELIBDIR%%/mdp/linear_flows.pyo
 %%PYTHON_SITELIBDIR%%/mdp/nodes/__init__.py
 %%PYTHON_SITELIBDIR%%/mdp/nodes/__init__.pyc
 %%PYTHON_SITELIBDIR%%/mdp/nodes/__init__.pyo
+%%PYTHON_SITELIBDIR%%/mdp/nodes/classifier_nodes.py
+%%PYTHON_SITELIBDIR%%/mdp/nodes/classifier_nodes.pyc
+%%PYTHON_SITELIBDIR%%/mdp/nodes/classifier_nodes.pyo
+%%PYTHON_SITELIBDIR%%/mdp/nodes/convolution_nodes.py
+%%PYTHON_SITELIBDIR%%/mdp/nodes/convolution_nodes.pyc
+%%PYTHON_SITELIBDIR%%/mdp/nodes/convolution_nodes.pyo
 %%PYTHON_SITELIBDIR%%/mdp/nodes/em_nodes.py
 %%PYTHON_SITELIBDIR%%/mdp/nodes/em_nodes.pyc
 %%PYTHON_SITELIBDIR%%/mdp/nodes/em_nodes.pyo
@@ -64,36 +167,60 @@
 %%PYTHON_SITELIBDIR%%/mdp/nodes/isfa_nodes.py
 %%PYTHON_SITELIBDIR%%/mdp/nodes/isfa_nodes.pyc
 %%PYTHON_SITELIBDIR%%/mdp/nodes/isfa_nodes.pyo
+%%PYTHON_SITELIBDIR%%/mdp/nodes/jade.py
+%%PYTHON_SITELIBDIR%%/mdp/nodes/jade.pyc
+%%PYTHON_SITELIBDIR%%/mdp/nodes/jade.pyo
+%%PYTHON_SITELIBDIR%%/mdp/nodes/libsvm_classifier.py
+%%PYTHON_SITELIBDIR%%/mdp/nodes/libsvm_classifier.pyc
+%%PYTHON_SITELIBDIR%%/mdp/nodes/libsvm_classifier.pyo
+%%PYTHON_SITELIBDIR%%/mdp/nodes/lle_nodes.py
+%%PYTHON_SITELIBDIR%%/mdp/nodes/lle_nodes.pyc
+%%PYTHON_SITELIBDIR%%/mdp/nodes/lle_nodes.pyo
 %%PYTHON_SITELIBDIR%%/mdp/nodes/misc_nodes.py
 %%PYTHON_SITELIBDIR%%/mdp/nodes/misc_nodes.pyc
 %%PYTHON_SITELIBDIR%%/mdp/nodes/misc_nodes.pyo
 %%PYTHON_SITELIBDIR%%/mdp/nodes/neural_gas_nodes.py
 %%PYTHON_SITELIBDIR%%/mdp/nodes/neural_gas_nodes.pyc
 %%PYTHON_SITELIBDIR%%/mdp/nodes/neural_gas_nodes.pyo
+%%PYTHON_SITELIBDIR%%/mdp/nodes/nipals.py
+%%PYTHON_SITELIBDIR%%/mdp/nodes/nipals.pyc
+%%PYTHON_SITELIBDIR%%/mdp/nodes/nipals.pyo
 %%PYTHON_SITELIBDIR%%/mdp/nodes/pca_nodes.py
 %%PYTHON_SITELIBDIR%%/mdp/nodes/pca_nodes.pyc
 %%PYTHON_SITELIBDIR%%/mdp/nodes/pca_nodes.pyo
 %%PYTHON_SITELIBDIR%%/mdp/nodes/rbm_nodes.py
 %%PYTHON_SITELIBDIR%%/mdp/nodes/rbm_nodes.pyc
 %%PYTHON_SITELIBDIR%%/mdp/nodes/rbm_nodes.pyo
+%%PYTHON_SITELIBDIR%%/mdp/nodes/regression_nodes.py
+%%PYTHON_SITELIBDIR%%/mdp/nodes/regression_nodes.pyc
+%%PYTHON_SITELIBDIR%%/mdp/nodes/regression_nodes.pyo
+%%PYTHON_SITELIBDIR%%/mdp/nodes/scikits_nodes.py
+%%PYTHON_SITELIBDIR%%/mdp/nodes/scikits_nodes.pyc
+%%PYTHON_SITELIBDIR%%/mdp/nodes/scikits_nodes.pyo
 %%PYTHON_SITELIBDIR%%/mdp/nodes/sfa_nodes.py
 %%PYTHON_SITELIBDIR%%/mdp/nodes/sfa_nodes.pyc
 %%PYTHON_SITELIBDIR%%/mdp/nodes/sfa_nodes.pyo
+%%PYTHON_SITELIBDIR%%/mdp/nodes/shogun_svm_classifier.py
+%%PYTHON_SITELIBDIR%%/mdp/nodes/shogun_svm_classifier.pyc
+%%PYTHON_SITELIBDIR%%/mdp/nodes/shogun_svm_classifier.pyo
+%%PYTHON_SITELIBDIR%%/mdp/nodes/svm_classifiers.py
+%%PYTHON_SITELIBDIR%%/mdp/nodes/svm_classifiers.pyc
+%%PYTHON_SITELIBDIR%%/mdp/nodes/svm_classifiers.pyo
+%%PYTHON_SITELIBDIR%%/mdp/nodes/xsfa_nodes.py
+%%PYTHON_SITELIBDIR%%/mdp/nodes/xsfa_nodes.pyc
+%%PYTHON_SITELIBDIR%%/mdp/nodes/xsfa_nodes.pyo
 %%PYTHON_SITELIBDIR%%/mdp/parallel/__init__.py
 %%PYTHON_SITELIBDIR%%/mdp/parallel/__init__.pyc
 %%PYTHON_SITELIBDIR%%/mdp/parallel/__init__.pyo
-%%PYTHON_SITELIBDIR%%/mdp/parallel/makeparallel.py
-%%PYTHON_SITELIBDIR%%/mdp/parallel/makeparallel.pyc
-%%PYTHON_SITELIBDIR%%/mdp/parallel/makeparallel.pyo
+%%PYTHON_SITELIBDIR%%/mdp/parallel/parallelclassifiers.py
+%%PYTHON_SITELIBDIR%%/mdp/parallel/parallelclassifiers.pyc
+%%PYTHON_SITELIBDIR%%/mdp/parallel/parallelclassifiers.pyo
 %%PYTHON_SITELIBDIR%%/mdp/parallel/parallelflows.py
 %%PYTHON_SITELIBDIR%%/mdp/parallel/parallelflows.pyc
 %%PYTHON_SITELIBDIR%%/mdp/parallel/parallelflows.pyo
 %%PYTHON_SITELIBDIR%%/mdp/parallel/parallelhinet.py
 %%PYTHON_SITELIBDIR%%/mdp/parallel/parallelhinet.pyc
 %%PYTHON_SITELIBDIR%%/mdp/parallel/parallelhinet.pyo
-%%PYTHON_SITELIBDIR%%/mdp/parallel/parallelmonkey.py
-%%PYTHON_SITELIBDIR%%/mdp/parallel/parallelmonkey.pyc
-%%PYTHON_SITELIBDIR%%/mdp/parallel/parallelmonkey.pyo
 %%PYTHON_SITELIBDIR%%/mdp/parallel/parallelnodes.py
 %%PYTHON_SITELIBDIR%%/mdp/parallel/parallelnodes.pyc
 %%PYTHON_SITELIBDIR%%/mdp/parallel/parallelnodes.pyo
@@ -112,18 +239,141 @@
 %%PYTHON_SITELIBDIR%%/mdp/parallel/scheduling.py
 %%PYTHON_SITELIBDIR%%/mdp/parallel/scheduling.pyc
 %%PYTHON_SITELIBDIR%%/mdp/parallel/scheduling.pyo
+%%PYTHON_SITELIBDIR%%/mdp/parallel/thread_schedule.py
+%%PYTHON_SITELIBDIR%%/mdp/parallel/thread_schedule.pyc
+%%PYTHON_SITELIBDIR%%/mdp/parallel/thread_schedule.pyo
+%%PYTHON_SITELIBDIR%%/mdp/repo_revision.py
+%%PYTHON_SITELIBDIR%%/mdp/repo_revision.pyc
+%%PYTHON_SITELIBDIR%%/mdp/repo_revision.pyo
 %%PYTHON_SITELIBDIR%%/mdp/signal_node.py
 %%PYTHON_SITELIBDIR%%/mdp/signal_node.pyc
 %%PYTHON_SITELIBDIR%%/mdp/signal_node.pyo
 %%PYTHON_SITELIBDIR%%/mdp/test/__init__.py
 %%PYTHON_SITELIBDIR%%/mdp/test/__init__.pyc
 %%PYTHON_SITELIBDIR%%/mdp/test/__init__.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/_tools.py
+%%PYTHON_SITELIBDIR%%/mdp/test/_tools.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/_tools.pyo
 %%PYTHON_SITELIBDIR%%/mdp/test/benchmark_mdp.py
 %%PYTHON_SITELIBDIR%%/mdp/test/benchmark_mdp.pyc
 %%PYTHON_SITELIBDIR%%/mdp/test/benchmark_mdp.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/conftest.py
+%%PYTHON_SITELIBDIR%%/mdp/test/conftest.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/conftest.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/ide_run.py
+%%PYTHON_SITELIBDIR%%/mdp/test/ide_run.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/ide_run.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/run_tests.py
+%%PYTHON_SITELIBDIR%%/mdp/test/run_tests.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/run_tests.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_AdaptiveCutoffNode.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_AdaptiveCutoffNode.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_AdaptiveCutoffNode.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_Convolution2DNode.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_Convolution2DNode.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_Convolution2DNode.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_CutoffNode.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_CutoffNode.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_CutoffNode.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_EtaComputerNode.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_EtaComputerNode.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_EtaComputerNode.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_FANode.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_FANode.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_FANode.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_FDANode.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_FDANode.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_FDANode.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_GaussianClassifier.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_GaussianClassifier.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_GaussianClassifier.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_GeneralExpansionNode.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_GeneralExpansionNode.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_GeneralExpansionNode.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_GrowingNeuralGasNode.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_GrowingNeuralGasNode.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_GrowingNeuralGasNode.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_HistogramNode.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_HistogramNode.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_HistogramNode.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_HitParadeNode.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_HitParadeNode.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_HitParadeNode.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_ICANode.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_ICANode.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_ICANode.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_ISFANode.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_ISFANode.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_ISFANode.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_KNNClassifier.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_KNNClassifier.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_KNNClassifier.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_LinearRegressionNode.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_LinearRegressionNode.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_LinearRegressionNode.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_NearestMeanClassifier.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_NearestMeanClassifier.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_NearestMeanClassifier.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_NeuralGasNode.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_NeuralGasNode.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_NeuralGasNode.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_NoiseNode.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_NoiseNode.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_NoiseNode.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_PCANode.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_PCANode.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_PCANode.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_PolynomialExpansionNode.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_PolynomialExpansionNode.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_PolynomialExpansionNode.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_PreseverDimNode.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_PreseverDimNode.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_PreseverDimNode.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_RBFExpansionNode.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_RBFExpansionNode.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_RBFExpansionNode.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_RBM.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_RBM.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_RBM.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_SFA2Node.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_SFA2Node.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_SFA2Node.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_SFANode.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_SFANode.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_SFANode.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_TimeDelayNodes.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_TimeDelayNodes.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_TimeDelayNodes.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_TimeFrameNode.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_TimeFrameNode.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_TimeFrameNode.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_VariadicCumulator.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_VariadicCumulator.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_VariadicCumulator.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_WhiteningNode.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_WhiteningNode.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_WhiteningNode.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_caching.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_caching.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_caching.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_classifier.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_classifier.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_classifier.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_config.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_config.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_config.pyo
 %%PYTHON_SITELIBDIR%%/mdp/test/test_contrib.py
 %%PYTHON_SITELIBDIR%%/mdp/test/test_contrib.pyc
 %%PYTHON_SITELIBDIR%%/mdp/test/test_contrib.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_copying.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_copying.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_copying.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_extension.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_extension.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_extension.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_fastica.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_fastica.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_fastica.pyo
 %%PYTHON_SITELIBDIR%%/mdp/test/test_flows.py
 %%PYTHON_SITELIBDIR%%/mdp/test/test_flows.pyc
 %%PYTHON_SITELIBDIR%%/mdp/test/test_flows.pyo
@@ -133,9 +383,30 @@
 %%PYTHON_SITELIBDIR%%/mdp/test/test_hinet.py
 %%PYTHON_SITELIBDIR%%/mdp/test/test_hinet.pyc
 %%PYTHON_SITELIBDIR%%/mdp/test/test_hinet.pyo
-%%PYTHON_SITELIBDIR%%/mdp/test/test_nodes.py
-%%PYTHON_SITELIBDIR%%/mdp/test/test_nodes.pyc
-%%PYTHON_SITELIBDIR%%/mdp/test/test_nodes.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_hinet_generic.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_hinet_generic.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_hinet_generic.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_metaclass_and_extensions.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_metaclass_and_extensions.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_metaclass_and_extensions.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_namespace_fixups.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_namespace_fixups.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_namespace_fixups.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_node_covariance.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_node_covariance.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_node_covariance.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_node_metaclass.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_node_metaclass.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_node_metaclass.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_node_operations.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_node_operations.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_node_operations.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_nodes_generic.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_nodes_generic.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_nodes_generic.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_parallelclassifiers.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_parallelclassifiers.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_parallelclassifiers.pyo
 %%PYTHON_SITELIBDIR%%/mdp/test/test_parallelflows.py
 %%PYTHON_SITELIBDIR%%/mdp/test/test_parallelflows.pyc
 %%PYTHON_SITELIBDIR%%/mdp/test/test_parallelflows.pyo
@@ -145,21 +416,45 @@
 %%PYTHON_SITELIBDIR%%/mdp/test/test_parallelnodes.py
 %%PYTHON_SITELIBDIR%%/mdp/test/test_parallelnodes.pyc
 %%PYTHON_SITELIBDIR%%/mdp/test/test_parallelnodes.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_pp_local.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_pp_local.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_pp_local.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_pp_remote.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_pp_remote.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_pp_remote.pyo
 %%PYTHON_SITELIBDIR%%/mdp/test/test_process_schedule.py
 %%PYTHON_SITELIBDIR%%/mdp/test/test_process_schedule.pyc
 %%PYTHON_SITELIBDIR%%/mdp/test/test_process_schedule.pyo
 %%PYTHON_SITELIBDIR%%/mdp/test/test_schedule.py
 %%PYTHON_SITELIBDIR%%/mdp/test/test_schedule.pyc
 %%PYTHON_SITELIBDIR%%/mdp/test/test_schedule.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_scikits.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_scikits.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_scikits.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_seed.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_seed.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_seed.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_svm_classifier.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_svm_classifier.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_svm_classifier.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_tempdir.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_tempdir.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_tempdir.pyo
 %%PYTHON_SITELIBDIR%%/mdp/test/test_utils.py
 %%PYTHON_SITELIBDIR%%/mdp/test/test_utils.pyc
 %%PYTHON_SITELIBDIR%%/mdp/test/test_utils.pyo
-%%PYTHON_SITELIBDIR%%/mdp/test/testing_tools.py
-%%PYTHON_SITELIBDIR%%/mdp/test/testing_tools.pyc
-%%PYTHON_SITELIBDIR%%/mdp/test/testing_tools.pyo
+%%PYTHON_SITELIBDIR%%/mdp/test/test_utils_generic.py
+%%PYTHON_SITELIBDIR%%/mdp/test/test_utils_generic.pyc
+%%PYTHON_SITELIBDIR%%/mdp/test/test_utils_generic.pyo
 %%PYTHON_SITELIBDIR%%/mdp/utils/__init__.py
 %%PYTHON_SITELIBDIR%%/mdp/utils/__init__.pyc
 %%PYTHON_SITELIBDIR%%/mdp/utils/__init__.pyo
+%%PYTHON_SITELIBDIR%%/mdp/utils/_ordered_dict.py
+%%PYTHON_SITELIBDIR%%/mdp/utils/_ordered_dict.pyc
+%%PYTHON_SITELIBDIR%%/mdp/utils/_ordered_dict.pyo
+%%PYTHON_SITELIBDIR%%/mdp/utils/_symeig.py
+%%PYTHON_SITELIBDIR%%/mdp/utils/_symeig.pyc
+%%PYTHON_SITELIBDIR%%/mdp/utils/_symeig.pyo
 %%PYTHON_SITELIBDIR%%/mdp/utils/covariance.py
 %%PYTHON_SITELIBDIR%%/mdp/utils/covariance.pyc
 %%PYTHON_SITELIBDIR%%/mdp/utils/covariance.pyo
@@ -175,12 +470,27 @@
 %%PYTHON_SITELIBDIR%%/mdp/utils/routines.py
 %%PYTHON_SITELIBDIR%%/mdp/utils/routines.pyc
 %%PYTHON_SITELIBDIR%%/mdp/utils/routines.pyo
+%%PYTHON_SITELIBDIR%%/mdp/utils/slideshow.css
+%%PYTHON_SITELIBDIR%%/mdp/utils/slideshow.py
+%%PYTHON_SITELIBDIR%%/mdp/utils/slideshow.pyc
+%%PYTHON_SITELIBDIR%%/mdp/utils/slideshow.pyo
+%%PYTHON_SITELIBDIR%%/mdp/utils/templet.py
+%%PYTHON_SITELIBDIR%%/mdp/utils/templet.pyc
+%%PYTHON_SITELIBDIR%%/mdp/utils/templet.pyo
+%%PYTHON_SITELIBDIR%%/mdp/utils/temporarydir.py
+%%PYTHON_SITELIBDIR%%/mdp/utils/temporarydir.pyc
+%%PYTHON_SITELIBDIR%%/mdp/utils/temporarydir.pyo
 @dirrm %%PYTHON_SITELIBDIR%%/mdp/utils
 @dirrm %%PYTHON_SITELIBDIR%%/mdp/test
 @dirrm %%PYTHON_SITELIBDIR%%/mdp/parallel
 @dirrm %%PYTHON_SITELIBDIR%%/mdp/nodes
 @dirrm %%PYTHON_SITELIBDIR%%/mdp/hinet
 @dirrm %%PYTHON_SITELIBDIR%%/mdp/graph
-@dirrm %%PYTHON_SITELIBDIR%%/mdp/demo
-@dirrm %%PYTHON_SITELIBDIR%%/mdp/contrib
+@dirrm %%PYTHON_SITELIBDIR%%/mdp/caching
 @dirrm %%PYTHON_SITELIBDIR%%/mdp
+@dirrm %%PYTHON_SITELIBDIR%%/bimdp/test
+@dirrm %%PYTHON_SITELIBDIR%%/bimdp/parallel
+@dirrm %%PYTHON_SITELIBDIR%%/bimdp/nodes
+@dirrm %%PYTHON_SITELIBDIR%%/bimdp/inspection
+@dirrm %%PYTHON_SITELIBDIR%%/bimdp/hinet
+@dirrm %%PYTHON_SITELIBDIR%%/bimdp
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 Alex Kozlov freebsd_committer 2012-08-08 23:25:27 UTC
State Changed
From-To: open->closed

Committed. Thanks!